unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, Menus, StdCtrls, ExtDlgs, ExtCtrls;

type
  TForm1 = class(TForm)
    FontDialog1: TFontDialog;
    PopupMenu1: TPopupMenu;
    N1: TMenuItem;
    N2: TMenuItem;
    ColorDialog1: TColorDialog;
    N3: TMenuItem;
    N4: TMenuItem;
    N5: TMenuItem;
    N6: TMenuItem;
    N7: TMenuItem;
    PrintDialog1: TPrintDialog;
    PrinterSetupDialog1: TPrinterSetupDialog;
    MainMenu1: TMainMenu;
    Print1: TMenuItem;
    Printas1: TMenuItem;
    Print2: TMenuItem;
    Inform1: TMenuItem;
    OpenPictureDialog1: TOpenPictureDialog;
    PopupMenu2: TPopupMenu;
    Openpicture1: TMenuItem;
    Closepicture1: TMenuItem;
    GroupBox1: TGroupBox;
    Image1: TImage;
    GroupBox2: TGroupBox;
    Memo1: TMemo;
    Panel1: TPanel;
    Button2: TButton;
    Button3: TButton;
    Button1: TButton;
    OpenDialog1: TOpenDialog;
    SaveDialog1: TSaveDialog;
    procedure N1Click(Sender: TObject);
    procedure N2Click(Sender: TObject);
    procedure N4Click(Sender: TObject);
    procedure N5Click(Sender: TObject);
    procedure N6Click(Sender: TObject);
    procedure N7Click(Sender: TObject);
    procedure Print2Click(Sender: TObject);
    procedure Printas1Click(Sender: TObject);
    procedure Inform1Click(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure Openpicture1Click(Sender: TObject);
    procedure Closepicture1Click(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

uses Unit2;

{$R *.dfm}

procedure TForm1.N1Click(Sender: TObject);
begin
       if not FontDialog1.Execute then   exit;
        Memo1.font:= FontDialog1.Font;

end;

procedure TForm1.N2Click(Sender: TObject);
begin
   if not colorDialog1.Execute then exit;
   Memo1.font.color:= colorDialog1.color;
end;

procedure TForm1.N4Click(Sender: TObject);
begin
   Memo1.color:=clred;
end;

procedure TForm1.N5Click(Sender: TObject);
begin
  Memo1.color:=clblue;
end;

procedure TForm1.N6Click(Sender: TObject);
begin
  Memo1.color:=clyellow;
end;

procedure TForm1.N7Click(Sender: TObject);
begin
  Memo1.color:=clgreen;
end;

procedure TForm1.Print2Click(Sender: TObject);
begin
  printDialog1.Execute;

end;

procedure TForm1.Printas1Click(Sender: TObject);
begin
  PrinterSetupDialog1.Execute;
end;

procedure TForm1.Inform1Click(Sender: TObject);
begin
  aboutbox.showmodal;
end;

procedure TForm1.FormClose(Sender: TObject; var Action: TCloseAction);
begin
application.Terminate;
end;

procedure TForm1.Openpicture1Click(Sender: TObject);
begin
  if OpenPictureDialog1.Execute then
  //   
  Image1.Picture.LoadFromFile(OpenPictureDialog1.FileName);
end;

procedure TForm1.Closepicture1Click(Sender: TObject);
begin
  Image1.Picture:=nil;
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
  if OpenDialog1.Execute then //   
  Memo1.Lines.LoadFromFile(OpenDialog1.FileName); // 
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  if SaveDialog1.Execute then //   
  Memo1.Lines.SaveToFile(SaveDialog1.FileName); //

end;

procedure TForm1.Button3Click(Sender: TObject);
begin
  Memo1.Lines.Clear;
end;

end.
